--- title: "Get the Sensors for Association" slug: "get-the-sensors-for-association-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:44Z published: 2026-11-19T12:57:44Z canonical: "docs.trellix.com/get-the-sensors-for-association-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get the Sensors for Association This URL retrieves the Sensors which can be associated with the given license. ### Resource URL GET /license/getSensorsforassociation ### Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `model` | Model allowed for the license | String | Yes | | `licenseId` | License id | String | Yes | Payload Request Parameters: None ### Response Parameters Returns the following fields. Details of the fields in usage. | Field Name | Description | Data Type | | --- | --- | --- | | `sensorDetailsList` | List of Sensor details that can be associated with license | Object | Details of fields in virtualSensors: | Field Name | Description | Data Type | | --- | --- | --- | | `sensorId` | Sensor id | Number | | `peerSensor` | Peer Sensor id | Number | | `deviceName` | Device name | String | ### Example **Request** GET [https:///license//getSensorsforassociation?model=IPS-NS9500&licenseId=00001](https://<NSM_IP>/sdkapi/getclusterid) **Payload** None **Response** ``` { "sensorDetailsList": [ {"sensorId": 1002, "peerSensor": None, "deviceName": "/My Company/Test Child Domain 1/NS9500_2"}, {"sensorId": 1006, "peerSensor": "denali-2", "deviceName": "/My Company/Test Child Domain 1/denali-1"}, {"sensorId": 1007, "peerSensor": "denail-1", "deviceName": "/My Company/Test Child Domain 1/denali-2"}]} ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error | | 2 | 500 | 4812 | License with the given id does not exist |